Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.atom.helper
Class LeafAtomThreadingContentHandler

    java.lang.Object
      com.ibm.portal.resolver.xml.helper.LeafContentHandler
          com.ibm.portal.resolver.atom.helper.LeafAtomThreadingContentHandler

All Implemented Interfaces:
  AtomThreadingContentHandler, ResettableAtomThreadingContentHandler, ResettableContentHandler, org.xml.sax.ContentHandler

    public class LeafAtomThreadingContentHandler

extends LeafContentHandler
implements ResettableAtomThreadingContentHandler

The end element in a acontent handler chain that connects itself directly to a destination handler. This destination handler can be reset using the `ResettableAtomThreadingContentHandler.setAtomThreadingContentHandler(AtomThreadingContentHandler)` method. Per default the destination handler is initialized with a handler that ignores all events.

Since:
  6.0.1

Constructor Summary
`LeafAtomThreadingContentHandler()`

Method Summary
`static javax.xml.namespace.QName` | `createQName(java.lang.String localName)` Construct a new QName
`void` | `endInReplyTo()` Indicates the end of an `atom:in-reply-to` entry.
`void` | `endTotal()` Indicates the end of an `atom:total/code> entry.`
`AtomThreadingContentHandler` | `getAtomThreadingContentHandler()` Returns the atom threading content handler that is currently attached to the chain
`org.xml.sax.ContentHandler` | `getContentHandler()`
`void` | `setAtomThreadingContentHandler(AtomThreadingContentHandler aHandler)` Assign a new atom threading content handler that this handler will reroute its events onto.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `startInReplyTo(java.lang.String rRef, java.lang.String oHref, java.lang.String oSource, java.lang.String oType, org.xml.sax.Attributes attrs)` Indicates the start of an `thr:in-reply-to` entry.
`void` | `startTotal(org.xml.sax.Attributes attrs)` Indicates the start of an `thr:total` entry.

Methods inherited from class com.ibm.portal.resolver.xml.helper.LeafContentHandler
`box, characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Constructor Detail

### LeafAtomThreadingContentHandler

    public LeafAtomThreadingContentHandler()

Method Detail

### endInReplyTo

    public void endInReplyTo()
                      throws org.xml.sax.SAXException

  Description copied from interface: `AtomThreadingContentHandler`

  Indicates the end of an `atom:in-reply-to` entry.

  Specified by:
    `endInReplyTo` in interface `AtomThreadingContentHandler`
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created

### endTotal

    public void endTotal()
                  throws org.xml.sax.SAXException

  Description copied from interface: `AtomThreadingContentHandler`

  Indicates the end of an `atom:total/code> entry.`

  Specified by:
    `endTotal` in interface `AtomThreadingContentHandler`
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created

### getAtomThreadingContentHandler

    public AtomThreadingContentHandler getAtomThreadingContentHandler()

  Description copied from interface: `ResettableAtomThreadingContentHandler`
  Returns the atom threading content handler that is currently attached to the chain

  Specified by:
    `getAtomThreadingContentHandler` in interface `ResettableAtomThreadingContentHandler`
  Returns:
    the target content handler

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Overrides:
    `getContentHandler` in class `LeafContentHandler`

### setAtomThreadingContentHandler

    public void setAtomThreadingContentHandler(AtomThreadingContentHandler aHandler)

  Description copied from interface: `ResettableAtomThreadingContentHandler`
  Assign a new atom threading content handler that this handler will reroute its events onto. If the content handler is not assigned, then the events will be silently ignored

  Specified by:
    `setAtomThreadingContentHandler` in interface `ResettableAtomThreadingContentHandler`
  Parameters:
    `aHandler` - target content handler for the events.

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Overrides:
    `setContentHandler` in class `LeafContentHandler`

### startInReplyTo

    public void startInReplyTo(java.lang.String rRef,
                               java.lang.String oHref,
                               java.lang.String oSource,
                               java.lang.String oType,
                               org.xml.sax.Attributes attrs)
                        throws org.xml.sax.SAXException

  Description copied from interface: `AtomThreadingContentHandler`

  Indicates the start of an `thr:in-reply-to` entry.

  The "in-reply-to" element is used to indicate that an entry is a response to another resource. The element MUST contain a "ref" attribute identifying the resource that is being responded to.

  The element is not unlike the references and in-reply-to email message headers defined by [RFC2822]. However, unlike the in-reply-to header, the "in-reply-to" element is required to identify the unique identifier of only a single parent resource. If the entry is a response to multiple resources, additional "in-reply-to" elements MAY be used. There is no direct equivalent to the references header, which lists the unique identifiers of each preceding message in a thread.

  Specified by:
    `startInReplyTo` in interface `AtomThreadingContentHandler`
  Parameters:
    `rRef` - Mandatory ref attribute, not `null`.

    The "ref" attribute specifies the persistent, universally unique identifier of the resource being responded to. The value MUST conform to the same construction and comparison rules as the value of the atom:id element as defined in section 4.2.6 of [RFC4287]. Though the IRI might use a dereferenceable scheme, processors MUST NOT assume it can be dereferenced.

    `oHref` - Optional href attribute, may be `null`.

    `oSource` - Optional source attribute, may be `null`.

    The "source" attribute MAY be used to specify the IRI [RFC3987] of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute. The IRI specified, once appropriately mapped to a corresponding URI, MUST be dereferenceable.

    `oType` - Optional type attribute, may be `null`.

    The "type" attribute MAY be used to provide a hint to the client about the media type [RFC4288] of the resource identified by the "href" attribute. The "type" attribute is only meaningful if a corresponding "href" attribute is also provided.

    `attrs` - optional attribues, must not be `null` but may be empty
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created

### startTotal

    public void startTotal(org.xml.sax.Attributes attrs)
                    throws org.xml.sax.SAXException

  Description copied from interface: `AtomThreadingContentHandler`

  Indicates the start of an `thr:total` entry.

  The "total" element is used to indicate the total number of unique responses to an entry known to the publisher. Its content MUST be an unsigned non-negative integer value conforming to the canonical representation of the XML Schema nonNegativeInteger data type [W3C.REC-xmlschema-2-20041028].

  Specified by:
    `startTotal` in interface `AtomThreadingContentHandler`
  Parameters:
    `attrs` - optional attribues, must not be `null` but may be empty
  Throws:
    `org.xml.sax.SAXException` - - if the event could not be created

### createQName

    public static final javax.xml.namespace.QName createQName(java.lang.String localName)

  Construct a new QName

  Parameters:
    `localName` - the local name
  Returns:
    the QName
  Since:
    6.1.0.3

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD